Loading...
Searching...
No Matches
_DrawingWand Struct Reference

## Data Fields

size_t | id
char | name [MagickPathExtent]
Image * | image
ExceptionInfo * | exception
char * | mvg
size_t | mvg_alloc
size_t | mvg_length
size_t | mvg_width
char * | pattern_id
RectangleInfo | pattern_bounds
size_t | pattern_offset
size_t | index
DrawInfo ** | graphic_context
MagickBooleanType | filter_off
size_t | indent_depth
PathOperation | path_operation
PathMode | path_mode
MagickBooleanType | destroy
MagickBooleanType | debug
size_t | signature

## Detailed Description

Definition at line 91 of file drawing-wand.c.

## Field Documentation

## debug

MagickBooleanType _DrawingWand::debug

Definition at line 150 of file drawing-wand.c.

## destroy

MagickBooleanType _DrawingWand::destroy

Definition at line 149 of file drawing-wand.c.

## exception

ExceptionInfo* _DrawingWand::exception

Definition at line 104 of file drawing-wand.c.

## filter_off

MagickBooleanType _DrawingWand::filter_off

Definition at line 135 of file drawing-wand.c.

## graphic_context

DrawInfo** _DrawingWand::graphic_context

Definition at line 132 of file drawing-wand.c.

## id

size_t _DrawingWand::id

Definition at line 94 of file drawing-wand.c.

## image

Image* _DrawingWand::image

Definition at line 101 of file drawing-wand.c.

## indent_depth

size_t _DrawingWand::indent_depth

Definition at line 139 of file drawing-wand.c.

## index

size_t _DrawingWand::index

Definition at line 129 of file drawing-wand.c.

## mvg

char* _DrawingWand::mvg

Definition at line 108 of file drawing-wand.c.

## mvg_alloc

size_t _DrawingWand::mvg_alloc

Definition at line 111 of file drawing-wand.c.

## mvg_length

size_t _DrawingWand::mvg_length

Definition at line 112 of file drawing-wand.c.

## mvg_width

size_t _DrawingWand::mvg_width

Definition at line 115 of file drawing-wand.c.

## name

char _DrawingWand::name[MagickPathExtent]

Definition at line 97 of file drawing-wand.c.

## path_mode

PathMode _DrawingWand::path_mode

Definition at line 146 of file drawing-wand.c.

## path_operation

PathOperation _DrawingWand::path_operation

Definition at line 143 of file drawing-wand.c.

## pattern_bounds

RectangleInfo _DrawingWand::pattern_bounds

Definition at line 122 of file drawing-wand.c.

## pattern_id

char* _DrawingWand::pattern_id

Definition at line 119 of file drawing-wand.c.

## pattern_offset

size_t _DrawingWand::pattern_offset

Definition at line 125 of file drawing-wand.c.

## signature

size_t _DrawingWand::signature

Definition at line 153 of file drawing-wand.c.

The documentation for this struct was generated from the following file:

- drawing-wand.c